Name: cedevicemanager
Summary: Consumer Electronics  Device Manager
Version: 0.3
Release: 1.10.moblin2
License: LGPL
Group: System Environment/Libraries
Source: cedevicemanager-0.3.tar.gz
Patch1: cedevman_initscript_fix.patch 
Patch2: cedevman_initscript_requirements.patch
Patch3: cedevman_wait_for_hal.patch
BuildRequires: dbus-glib-devel, hal-devel, bluez-libs-devel, libmtp-devel, libgphoto2
# gphotofs
Requires: dbus, dbus-glib

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Provides CE device management services such as device connection notification and a media control API.

%package devel
Summary: Header files and libraries for %{name} development.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the header files and libraries needed
for %{name} development.

%prep
%setup -q 
%patch1 -p1 
%patch2 -p1 
%patch3 -p1 

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%post
/sbin/chkconfig --add cedevman
/sbin/chkconfig --levels 345 cedevman on 
/sbin/chkconfig --levels 0126 cedevman off



%clean

%files 
/usr/lib/libcedevman.so.0
%attr(0755, root, root) /usr/lib/cedevman/plugins/libcedevman-rapi.so.0.0.0
%attr(0755, root, root) /usr/lib/cedevman/plugins/libcedevman-ptp.so.0.0.0
%attr(0755, root, root) /usr/lib/cedevman/plugins/libcedevman-mtp.so.0.0.0
%attr(0755, root, root) /usr/lib/cedevman/plugins/libcedevman-msd.so.0.0.0
%attr(0755, root, root) /usr/lib/cedevman/plugins/libcedevman-bluetooth.so.0.0.0
%attr(0755, root, root) /usr/lib/libcedevman.so.0.0.0
%attr(0755, root, root) %dir /usr/lib/cedevman
%attr(0755, root, root) %dir /usr/lib/cedevman/plugins
%attr(0755, root, root) %dir /etc/dbus-1
%attr(0755, root, root) %dir /etc/dbus-1/system.d
%attr(0755, root, root) /usr/bin/cedevmand
%attr(0755, root, root) %config /etc/rc.d/init.d/cedevman
%attr(0755, root, root) %config(noreplace) /etc/dbus-1/system.d/cedevmand.conf
%attr(0644, root, root) %config(noreplace) /etc/cedevman.conf

%files devel
/usr/lib/libcedevman.so
/usr/lib/cedevman/plugins/libcedevman-bluetooth.so.0
/usr/lib/cedevman/plugins/libcedevman-msd.so.0
/usr/lib/cedevman/plugins/libcedevman-rapi.so.0
/usr/lib/cedevman/plugins/libcedevman-mtp.so.0
/usr/lib/cedevman/plugins/libcedevman-msd.so
/usr/lib/cedevman/plugins/libcedevman-rapi.so
/usr/lib/cedevman/plugins/libcedevman-bluetooth.so
/usr/lib/cedevman/plugins/libcedevman-mtp.so
/usr/lib/cedevman/plugins/libcedevman-ptp.so
/usr/lib/cedevman/plugins/libcedevman-ptp.so.0
%attr(0644, root, root) /usr/include/cedevman_plugin.h
%attr(0644, root, root) /usr/include/cedevman.h

%changelog
* Sat Sep  5 2009 Anas Nashif <anas.nashif@intel.com> - 0.3
- Fix BuildRequires
* Thu Jul  2 2009 Todd Brandt <todd.e.brandt@intel.com> 0.3
- Added dbus permissions to allow send/recieve
* Thu Apr 23 2009 Todd Brandt <todd.e.brandt@intel.com> 0.3
- cedevman now tries multiple times over a five second period
  to connect to HAL. It returns success immediately so as not
  to hold up the boot process.
* Tue Apr 21 2009 Todd Brandt <todd.e.brandt@intel.com> 0.3
- added init.d requirements on odccm and haldaemon
* Fri Oct 31 2008 Shane Bryan <shane.bryan@linux.intel.com>
- Upgrade to K2 Release 7.1 version of cedevicemanager (0.3)
* Sat Jul 19 2008 Ramesh Caushik <ramesh.caushik@intel.com> 
- First version of moblinized spec file.
  [#]
